Bug 2132 - after su as user root programs can't find user X server
after su as user root programs can't find user X server
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.0
i386 Linux
low Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-11 18:40 EDT by mark_evans
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-12 16:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mark_evans 1999-04-11 18:40:32 EDT
After login in as a user under X, and su to root printool,
netcfg etc can find the X server from a terminal.
Comment 1 Preston Brown 1999-04-12 14:51:59 EDT
You must use xauth to add authority for root to your display.  man
xauth for more information.
Comment 2 Preston Brown 1999-04-12 16:31:59 EDT
hopefully, su will be modified to do xauth automatically via pam
before release, but if not, you will have to use xauth manually.
Comment 3 Chris Siebenmann 1999-04-12 18:37:59 EDT
My workaround for this problem is to explicitly set a XAUTHORITY
environment variable that points to my .Xauthority file. As long as
one uses su instead of 'su -' (which would wipe out the environment)
and as long as root can still read the file after su'ing (not always
true in some NFS environments), this lets programs run after the su
still have access to the right xauth data.

 A short-term workaround for RedHat might be to add something like
this to their XDM and/or startx script environments.

Note You need to log in before you can comment on or make changes to this bug.